RTPApplication::ParticipantsIterator Class Reference

Iterator through the list of participants in this session. More...

`#include <sources.h>`

## Public Types

typedef std::forward_iterator_tag | iterator_category
typedef Participant | value_type
typedef std::ptrdiff_t | difference_type
typedef const Participant * | pointer
typedef const Participant & | reference

## Public Member Functions

| ParticipantsIterator (ParticipantLink *p=NULL)
| ParticipantsIterator (const ParticipantsIterator &pi)
reference | operator* () const
pointer | operator-> () const
ParticipantsIterator & | operator++ ()
ParticipantsIterator | operator++ (int)

## Friends

bool | operator== (const ParticipantsIterator &l, const ParticipantsIterator &r)
bool | operator!= (const ParticipantsIterator &l, const ParticipantsIterator &r)

## Detailed Description

Iterator through the list of participants in this session.

Somehow resembles and standard const_iterator

Examples:
  ccrtptest.cpp.

## Member Typedef Documentation

typedef std::ptrdiff_t RTPApplication::ParticipantsIterator::difference_type

typedef std::forward_iterator_tag RTPApplication::ParticipantsIterator::iterator_category

typedef const Participant* RTPApplication::ParticipantsIterator::pointer

typedef const Participant& RTPApplication::ParticipantsIterator::reference

typedef Participant RTPApplication::ParticipantsIterator::value_type

## Constructor & Destructor Documentation

RTPApplication::ParticipantsIterator::ParticipantsIterator | ( | ParticipantLink * | p = `NULL` | ) |

inline

RTPApplication::ParticipantsIterator::ParticipantsIterator | ( | const ParticipantsIterator & | pi | ) |

inline

## Member Function Documentation

reference RTPApplication::ParticipantsIterator::operator* | ( |  | ) | const

inline

ParticipantsIterator& RTPApplication::ParticipantsIterator::operator++ | ( |  | ) |

inline

ParticipantsIterator RTPApplication::ParticipantsIterator::operator++ | ( | int |  | ) |

inline

pointer RTPApplication::ParticipantsIterator::operator-> | ( |  | ) | const

inline

## Friends And Related Function Documentation

bool operator!= | ( | const ParticipantsIterator & | l,
|  | const ParticipantsIterator & | r
| ) |  |

friend

bool operator== | ( | const ParticipantsIterator & | l,
|  | const ParticipantsIterator & | r
| ) |  |

friend

The documentation for this class was generated from the following file:

- sources.h